#include "ESP8266SAM.h"
#include "AudioOutputPWM.h"
#ifdef WIN32
#include <shlwapi.h>
#endif
#include "render.h"

int __cdecl main() {
#ifndef NOSAM
 ESP8266SAM sam;
#ifdef WIN32
 const char*onepiece=PathGetArgs(GetCommandLine());
 if (onepiece && *onepiece) {
  AudioOutputPWM out(22050);
  sam.Say(onepiece);
 }else
#endif
#endif
 {
  {
   AudioOutputPWM out(22050);
#ifdef NORECITER
# ifdef NOSAM
   Render(L"\x0648\x0149\x044A\x0B08\x071C\x041A\x0935\x0814\x6224\x5B05\x0A12\x071B\x0805\x581C\x4F33\x4D14\x0202");
# else
   sam.SetPhonetic();
   sam.Say("KAEN YUW /HIY5R MIY NAW4?");
# endif
#else
   sam.Say("Can you hear me now?");	// "KAEN YUW /HIY5R MIY NAW4?"
#endif
  }	// Destruktor wird hier gerufen: Macht Soundausgabe!
  {
   AudioOutputPWM out(22050);
# ifdef NOSAM
   Render(L"\x0C31\x0915\x071C\x0220\x0445\x0246\x0247\x0220\x0619\x0C31\x0715\x082C\x0517\x0C31\x0715");
# else
//  sam.Say(out,"I cannot hear you!");
   sam.SetPhonetic();
   sam.Say("AYNS TSWAY DRAY");
# endif
  }	// Destruktor wird hier gerufen: Macht Soundausgabe!
 }
 ExitProcess(0);
}
